//*****************************************************************************
//! msp_wm430fr4_comm.h
//
//! Function Declarations.
//
//! \author Texas Instruments
//! \author A0222632
//
//! \version Release 1
//
//*****************************************************************************
#ifndef MSP_WM430FR4_COMM_H_
#define MSP_WM430FR4_COMM_H_

// UART
#define UART_PORT_OUT	P1OUT
#define UART_PORT_DIR	P1DIR
#define	UART_PORT_SEL	P1SEL0
#define	UART_BIT_TXD	BIT0
#define	UART_BIT_RXD	BIT1

typedef struct
{
	uint8_t ui8SOF;
	uint8_t Data[11];
	uint8_t ui8EOF;
}tPacket;

extern uint8_t Uart_DataProcess();
extern void HAL_RS485_INIT();
extern void Send_Data();
extern bool RS485_Send_Flag;
extern bool bRX_finished;

#endif /* MSP_WM430FR4_COMM_H_ */
